#! /bin/bash
#
# file: setup.sh
#
# This bash script performs any setup necessary in order to test your
# entry.  It is run only once, before running any other code belonging
# to your entry.

set -e
set -o pipefail

# Remove (or set it to 0) if you are not using Matlab
NEED_MATLAB=1

# Compile MATLAB-C file

cd segmentation
mex viterbi_Springer.c
cd ..

# Compile dtw using Cython
cd utils/dtwpy
python3 setup_dtw.py build_ext --inplace
cd ../..
